> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getbutter.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Phone Number

Delete a phone number. For SIP providers, this also cleans up associated LiveKit trunks.

<Warning>
  Cannot delete phone numbers that are assigned to agents. Unassign first.
</Warning>

### Headers

<ParamField header="X-API-Key" type="string" required>
  Your API key for authentication.
</ParamField>

<ParamField header="X-Organization-Id" type="string" required>
  The organization ID.
</ParamField>

### Path Parameters

<ParamField path="phone_number_id" type="string" required>
  The unique identifier of the phone number to delete.
</ParamField>

### Permissions

* `phone_numbers:delete` (admin, agent\_manager)

### Response

<ResponseField name="success" type="boolean">
  Indicates if the deletion was successful.
</ResponseField>

<ResponseField name="message" type="string">
  Human-readable success message.
</ResponseField>

<ResponseField name="data" type="object">
  The deleted phone number object.
</ResponseField>

<ResponseExample>
  ```json Response theme={null}
  {
    "success": true,
    "message": "Phone number deleted successfully",
    "data": {
      "phone_number_id": "phon_a1b2c3d4e5f6",
      "phone_number": "+15551234567",
      "provider": "twilio",
      "status": "free",
      "created_at": "2024-01-15T10:30:00Z",
      "updated_at": "2024-01-20T15:00:00Z"
    }
  }
  ```
</ResponseExample>

### Errors

<ResponseField name="400" type="object">
  Cannot delete assigned phone number. Unassign it first.
</ResponseField>

<ResponseField name="404" type="object">
  Phone number not found.
</ResponseField>

<ResponseField name="403" type="object">
  Phone number belongs to different organization.
</ResponseField>
